package org.jeecg.modules.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class LoginReq {

    /**
     * 参数信息
     */
    @ApiModelProperty(value = "参数信息")
    private String code;

    /**
     * 参数信息
     */
    @ApiModelProperty(value = "参数信息")
    private String vid;

    /**
     * 用户唯一标识
     */
    @ApiModelProperty(value = "用户唯一标识")
    private String openid;
    /**
     * 会话密钥
     */
    @ApiModelProperty(value = "会话密钥")
    private String session_key;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String nickName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String headimgurl;

    /**
     * 解密标签
     */
    @ApiModelProperty(value = "解密标签")
    private String iv;

    /**
     * 解密
     */
    @ApiModelProperty(value = "解密")
    private String encryptedData;


    /**
     * 邀请者标识
     */
    @ApiModelProperty(value = "邀请者销售标识")
    private String shareId;

    @ApiModelProperty(value = "纬度")
    private Double latitude;
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 登录方式 0微信 1账号密码
     */
    @ApiModelProperty(value = "登录方式 0微信 1账号密码")
    private Integer loginType = 0;
    /**账号*/
    @ApiModelProperty(value = "账号")
    private String account;
    /**密码*/
    @ApiModelProperty(value = "密码")
    private String password;
}
