package org.jeecg.modules.hanHaiMember.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.jeecg.modules.hanHaiMember.mapper.HanHaiMemberMapper;
import org.jeecg.modules.hanHaiMember.resp.MyUserResp;
import org.jeecg.modules.hanHaiMember.resp.ShopIndexResp;
import org.jeecg.modules.hanHaiMember.service.IHanHaiMemberService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 用户表
 * @Author: jeecg-boot
 * @Date:   2024-07-08
 * @Version: V1.0
 */
@Service
public class HanHaiMemberServiceImpl extends ServiceImpl<HanHaiMemberMapper, HanHaiMember> implements IHanHaiMemberService {


    @Override
    public IPage<MyUserResp> getMyUser(Page<MyUserResp> page, String shopId) {
        return baseMapper.getMyUser(page, shopId);
    }

    @Override
    public ShopIndexResp getShopIndex(String userId, String shopId) {
        return baseMapper.getShopIndex(userId, shopId);
    }

    @Override
    public Integer updateUserId(String oldId, String newId) {
        return baseMapper.updateUserId(oldId, newId);
    }
}
