package org.jeecg.modules.hotelgoodssku.service.impl;

import org.jeecg.modules.hotelgoodssku.entity.HotelGoodsSku;
import org.jeecg.modules.hotelgoodssku.mapper.HotelGoodsSkuMapper;
import org.jeecg.modules.hotelgoodssku.service.IHotelGoodsSkuService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * @Description: hotel_goods_sku
 * @Author: jeecg-boot
 * @Date:   2024-09-13
 * @Version: V1.0
 */
@Service
public class HotelGoodsSkuServiceImpl extends ServiceImpl<HotelGoodsSkuMapper, HotelGoodsSku> implements IHotelGoodsSkuService {

    @Resource
    private HotelGoodsSkuMapper hotelGoodsSkuMapper;

    @Override
    public HotelGoodsSku getHotelGoodsSkuOne(String goodsId) {
        return hotelGoodsSkuMapper.getHotelGoodsSkuOne(goodsId);
    }
}
