package org.jeecg.modules.hotelleaselog.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelleaselog.entity.HotelLeaseLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: hotel_lease_log
 * @Author: jeecg-boot
 * @Date:   2024-09-21
 * @Version: V1.0
 */
public interface IHotelLeaseLogService extends IService<HotelLeaseLog> {

    /**
     * 我的租赁
     * @param page
     * @param userId
     * @return
     */
    IPage<HotelLeaseLog> myLeaseLogPage(Page<HotelLeaseLog> page, String userId,Integer leaseFlag,Integer status);

}
