import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户id',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '店铺id',
    align:"center",
    dataIndex: 'shopId'
   },
   {
    title: '订单id',
    align:"center",
    dataIndex: 'orderId'
   },
   {
    title: '商品id',
    align:"center",
    dataIndex: 'goodsId'
   },
   {
    title: '规格id',
    align:"center",
    dataIndex: 'skuId'
   },
   {
    title: '租赁开始时间',
    align:"center",
    dataIndex: 'startTime'
   },
   {
    title: '租赁结束时间',
    align:"center",
    dataIndex: 'endTime'
   },
   {
    title: '是否删除 0否 1是',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户id',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '店铺id',
    field: 'shopId',
    component: 'Input',
  },
  {
    label: '订单id',
    field: 'orderId',
    component: 'Input',
  },
  {
    label: '商品id',
    field: 'goodsId',
    component: 'Input',
  },
  {
    label: '规格id',
    field: 'skuId',
    component: 'Input',
  },
  {
    label: '租赁开始时间',
    field: 'startTime',
    component: 'Input',
  },
  {
    label: '租赁结束时间',
    field: 'endTime',
    component: 'Input',
  },
  {
    label: '是否删除 0否 1是',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:""
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除 0否 1是!'},
          ];
     },
  },
];
