import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户id',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '余额',
    align:"center",
    dataIndex: 'balance'
   },
   {
    title: '押金',
    align:"center",
    dataIndex: 'deposit'
   },
   {
    title: '店铺佣金',
    align:"center",
    dataIndex: 'shopBalance'
   },
   {
    title: '是否删除 0否 1是',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户id',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '余额',
    field: 'balance',
    component: 'InputNumber',
  },
  {
    label: '押金',
    field: 'deposit',
    component: 'InputNumber',
  },
  {
    label: '店铺佣金',
    field: 'shopBalance',
    component: 'InputNumber',
  },
  {
    label: '是否删除 0否 1是',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:""
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除 0否 1是!'},
          ];
     },
  },
];
