import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: 'name',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: 'value',
    align:"center",
    dataIndex: 'value'
   },
   {
    title: '订单类型',
    align:"center",
    dataIndex: 'pid'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: 'name',
    field: 'name',
    component: 'Input',
  },
  {
    label: 'value',
    field: 'value',
    component: 'InputNumber',
  },
  {
    label: '订单类型',
    field: 'pid',
    component: 'InputNumber',
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:""
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除!'},
          ];
     },
  },
];
