package org.jeecg.modules.hotelorderlog.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.hotelorderlog.entity.HotelOrderLog;
import org.jeecg.modules.hotelorderlog.mapper.HotelOrderLogMapper;
import org.jeecg.modules.hotelorderlog.service.IHotelOrderLogService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: hotel_order_log
 * @Author: jeecg-boot
 * @Date:   2024-09-26
 * @Version: V1.0
 */
@Service
public class HotelOrderLogServiceImpl extends ServiceImpl<HotelOrderLogMapper, HotelOrderLog> implements IHotelOrderLogService {

    @Override
    public IPage<HotelOrderLog> getOrderLogPage(Page<HotelOrderLog> page, String userId, Integer type,String uid) {
        return baseMapper.getOrderLogPage(page, userId, type,uid);
    }

    @Override
    public HotelOrderLog getOrderLogOne(String userId, String id) {
        return baseMapper.getOrderLogOne(userId, id);
    }
}
