package org.jeecg.modules.hotelshop.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelshop.entity.HotelShop;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: hotel_shop
 * @Author: jeecg-boot
 * @Date:   2024-09-16
 * @Version: V1.0
 */
public interface IHotelShopService extends IService<HotelShop> {

    /**
     * 根据经纬度获取最近的门店
     * @param lat
     * @param lng
     * @return
     */
    HotelShop getDistance(double lat, double lng);
}
