package org.jeecg.modules.hotelshoppingcat.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelshoppingcat.entity.HotelShoppingCat;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.hotelshoppingcat.resp.ShoppingCartPageResp;

/**
 * @Description: hotel_shopping_cat
 * @Author: jeecg-boot
 * @Date:   2024-09-15
 * @Version: V1.0
 */
public interface HotelShoppingCatMapper extends BaseMapper<HotelShoppingCat> {

    IPage<ShoppingCartPageResp> getShoppingCartPage(Page<ShoppingCartPageResp> page,@Param("userId") String userId);

}
