import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '商品id',
    align:"center",
    dataIndex: 'goodsId'
   },
   {
    title: '规格id',
    align:"center",
    dataIndex: 'skuId'
   },
   {
    title: '用户Id',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: 'delFlag',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '商品id',
    field: 'goodsId',
    component: 'Input',
  },
  {
    label: '规格id',
    field: 'skuId',
    component: 'Input',
  },
  {
    label: '用户Id',
    field: 'userId',
    component: 'Input',
  },
  {
    label: 'delFlag',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:""
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入delFlag!'},
          ];
     },
  },
];
