package org.jeecg.modules.xcx.order.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CreateOrderReq {
    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private String id;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer num;
    /**
     *规格id
     */
    @ApiModelProperty(value = "规格id")
    private String skuId;


    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String sku;
    /**
     * 地址id
     */
    @ApiModelProperty(value = "地址id")
    private String addressId;

    /**
     * 类型 0租赁 1水洗
     */
    @ApiModelProperty(value = "类型 0租赁 1水洗")
    private Integer type = 0;
    /**
     * 店铺id
     */
    @ApiModelProperty(value = "店铺id")
    private String shopId;
    /**
     * 租赁id
     */
    @ApiModelProperty(value = "租赁id")
    private String leaseId;


}
