package org.jeecg.modules.hotelgoodssku.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelgoodssku.entity.HotelGoodsSku;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: hotel_goods_sku
 * @Author: jeecg-boot
 * @Date:   2024-09-13
 * @Version: V1.0
 */
public interface HotelGoodsSkuMapper extends BaseMapper<HotelGoodsSku> {

    /**
     * 获取单个SKU
     * @param goodsId
     * @return
     */
    HotelGoodsSku getHotelGoodsSkuOne(@Param("goodsId") String goodsId);

}
