package org.jeecg.modules.hotelleaselog.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.hotelleaselog.entity.HotelLeaseLog;
import org.jeecg.modules.hotelleaselog.mapper.HotelLeaseLogMapper;
import org.jeecg.modules.hotelleaselog.service.IHotelLeaseLogService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: hotel_lease_log
 * @Author: jeecg-boot
 * @Date:   2024-09-21
 * @Version: V1.0
 */
@Service
public class HotelLeaseLogServiceImpl extends ServiceImpl<HotelLeaseLogMapper, HotelLeaseLog> implements IHotelLeaseLogService {

    @Override
    public IPage<HotelLeaseLog> myLeaseLogPage(Page<HotelLeaseLog> page, String userId,Integer leaseFlag,Integer status) {
        return baseMapper.myLeaseLogPage(page, userId,leaseFlag,status);
    }
}
