package org.jeecg.modules.hotelnotice.service.impl;

import org.jeecg.modules.hotelnotice.entity.HotelNotice;
import org.jeecg.modules.hotelnotice.mapper.HotelNoticeMapper;
import org.jeecg.modules.hotelnotice.service.IHotelNoticeService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * @Description: hotel_notice
 * @Author: jeecg-boot
 * @Date:   2024-09-15
 * @Version: V1.0
 */
@Service
public class HotelNoticeServiceImpl extends ServiceImpl<HotelNoticeMapper, HotelNotice> implements IHotelNoticeService {

    @Resource
    private HotelNoticeMapper hotelNoticeMapper;

    @Override
    public HotelNotice getNotice() {
        return hotelNoticeMapper.getNotice();
    }
}
