package org.jeecg.modules.hotelorderlog.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelorder.entity.HotelOrder;
import org.jeecg.modules.hotelorderlog.entity.HotelOrderLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: hotel_order_log
 * @Author: jeecg-boot
 * @Date:   2024-09-26
 * @Version: V1.0
 */
public interface HotelOrderLogMapper extends BaseMapper<HotelOrderLog> {

    IPage<HotelOrderLog> getOrderLogPage(Page<HotelOrderLog> page,@Param("userId") String userId,@Param("type") Integer type,@Param("uid") String uid);

    HotelOrderLog getOrderLogOne(@Param("userId") String userId,@Param("id") String id);

}
