package org.jeecg.modules.hotelshop.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.hotelshop.entity.HotelShop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: hotel_shop
 * @Author: jeecg-boot
 * @Date:   2024-09-16
 * @Version: V1.0
 */
public interface HotelShopMapper extends BaseMapper<HotelShop> {

    /**
     * 根据经纬度获取最近的门店
     * @param lat
     * @param lng
     * @return
     */
    HotelShop getDistance(@Param("lat") double lat,@Param("lng") double lng);

}
