package org.jeecg.modules.hotelshop.service.impl;

import org.jeecg.modules.hotelshop.entity.HotelShop;
import org.jeecg.modules.hotelshop.mapper.HotelShopMapper;
import org.jeecg.modules.hotelshop.service.IHotelShopService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: hotel_shop
 * @Author: jeecg-boot
 * @Date:   2024-09-16
 * @Version: V1.0
 */
@Service
public class HotelShopServiceImpl extends ServiceImpl<HotelShopMapper, HotelShop> implements IHotelShopService {

    @Override
    public HotelShop getDistance(double lat, double lng) {
        return baseMapper.getDistance(lat, lng);
    }
}
