import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '老用户id',
    align:"center",
    dataIndex: 'oldId'
   },
   {
    title: '新用户Id',
    align:"center",
    dataIndex: 'newId'
   },
   {
    title: '水洗店id',
    align:"center",
    dataIndex: 'shopId'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '老用户id',
    field: 'oldId',
    component: 'Input',
  },
  {
    label: '新用户Id',
    field: 'newId',
    component: 'Input',
  },
  {
    label: '水洗店id',
    field: 'shopId',
    component: 'Input',
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
  },
];
