package org.jeecg.modules.xcx.order.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.A;

import java.math.BigDecimal;

@Data
public class ApplyRefundOrderReq {

    /**我的租赁Id*/
    @ApiModelProperty(value = "我的租赁Id")
    private String id;
    /**申请类型 0退货 1换货*/
    @ApiModelProperty(value = "申请类型 0退货 1换货")
    private Integer type;
    /**申请原因*/
    @ApiModelProperty(value = "申请原因")
    private String reason;
    /**退货/换货数量*/
    @ApiModelProperty(value = "退货/换货数量")
    private Integer refundNum;
    /**申请金额*/
    @ApiModelProperty(value = "申请金额")
    private BigDecimal reasonPrice;
    /**申请说明*/
    @ApiModelProperty(value = "申请说明")
    private String reasonInfo;
    /**申请说明图片*/
    @ApiModelProperty(value = "申请说明图片")
    private String reasonPic;
    /**联系电话*/
    @ApiModelProperty(value = "联系电话")
    private String phone;
    @ApiModelProperty(value = "地址id")
    private String addressId;
    private String token;

}
