package org.jeecg.modules.xcx.order.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;

@Data
public class ConfirmAcceptOrderReq {

    private String token;
    /**订单id*/
    @ApiModelProperty(value = "订单id")
    private String id;
    /**0确认接单 1确认正常 2破损上报*/
    @ApiModelProperty(value = "0确认接单 1确认正常 2破损上报")
    private Integer flag = 0;
    /**退货数量*/
    @ApiModelProperty(value = "退货数量")
    private Integer num;
    /**详细说明*/
    @ApiModelProperty(value = "详细说明")
    private String info;
    /**图片、视频*/
    @ApiModelProperty(value = "图片、视频")
    private String pic;
    @ApiModelProperty(value = "订单详情Id")
    private String orderDetailId;


}
